Retrieve the state of a transaction.get https://cert.api.firstdata.com/gateway/v2/payments/{transaction-id}Use this query to get the current state of an existing transaction.Path Paramstransaction-idstringrequiredGateway transaction identifier as returned in the parameter ipgTransactionId or merchantTransactionId.Query ParamsstoreIdstringAn optional outlet ID for clients that support multiple stores in the same developer app.HeadersContent-TypestringenumrequiredDefaults to application/jsonContent type.application/jsonAllowed:application/jsonClient-Request-IdstringrequiredA client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.Api-KeystringrequiredKey given to merchant after boarding associating their requests with the appropriate app in Apigee.Timestampint64requiredEpoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).Message-SignaturestringrequiredUsed to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.Responses 200Success response. 400The request cannot be validated. 401The request cannot be authenticated or was submitted with the wrong credentials. 403The request was unauthorized. 404The requested resource doesn't exist. 409The attempted action is not valid according to gateway rules. For example, the merchant is not set-up or the order already exists. 415Format that is not supported by the server for the HTTP method. 422The processor declined the transaction. 500An unexpected internal server error occurred. 502There was a problem communicating with the endpoint.Updated 8 months ago